<?php

/**
 * @file
 * Contains \Drupal\chessboard_flexible\PiecePlacementBuilder.
 */

namespace Drupal\chessboard_flexible;

use Drupal\chessboard\Plugin\DataType\PiecePlacement as PiecePlacementData;

class PiecePlacementBuilder {

  /**
   * The number of files.
   *
   * @var int
   */
  protected $fileMax;

  /**
   * The piece placement value.
   *
   * @var \Drupal\chessboard\Plugin\DataType\PiecePlacement
   */
  protected $data;

  /**
   * Sets the number of files.
   *
   * @param int $file_max
   *   The number of files.
   *
   * @return $this
   */
  public function setFileMax($file_max) {
    $this->fileMax = $file_max;
    return $this;
  }

  /**
   * Sets the piece placement typed data object.
   *
   * @param \Drupal\chessboard\Plugin\DataType\PiecePlacement $piece_placement
   *   The  piece placement typed data object.
   *
   * @return $this
   */
  public function setTypedData(PiecePlacementData $piece_placement) {
    $this->data = $piece_placement;
    return $this;
  }

  public function build() {
    return new PiecePlacement($this->data->getString(), $this->fileMax);
  }

}
