<?php

/**
 * @file
 * Contains \Drupal\chessboard_flexible\Plugin\Field\FieldFormatter\ChessboardImagesFormatter.
 */

namespace Drupal\chessboard_flexible\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\chessboard_flexible\PiecePlacementBuilder;

/**
 * Plugin implementation of the 'chessboard_flexible_images' formatter.
 *
 * @FieldFormatter(
 *   id = "chessboard_flexible_images",
 *   label = @Translation("Images"),
 *   field_types = {
 *     "chessboard"
 *   }
 * )
 */
class ChessboardImagesFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items) {
    $elements = array();

    $builder = new PiecePlacementBuilder();
    $builder->setFileMax(8);
    foreach ($items as $delta => $item) {
      $elements[$delta] = array(
        '#attached' => array(
          'library' => array('chessboard_flexible/drupal.chessboard_flexible'),
        ),
        '#theme_wrappers' => array('container'),
        '#attributes' => array('class' => array('chessboard')),
        'chessboard' => array(
          '#type' => 'chessboard_flexible_diagram',
          '#piece_placement' => $builder->setTypedData($item->get('piece_placement'))->build(),
        ),
      );
    }

    return $elements;
  }

}
