<?php

/**
 * @file
 * Contains \Drupal\chessboard_flexible\Plugin\Validation\Constraint\RegexConstraint.
 */

namespace Drupal\chessboard_flexible\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraints\Regex;

/**
 * Regex constraint.
 *
 * @Plugin(
 *   id = "ChessboardFlexibleRegex",
 *   label = @Translation("Regex", context = "Validation"),
 *   type = { "chessboard_flexible_pieceplacement" }
 * )
 */
class RegexConstraint extends Regex {

  public $message = 'Piece placement is restricted to Capablanca chess pieces and the x character.';
  public $pattern = '@[^-KQBNRPACkqbnrpacx]@';
  public $match = FALSE;

  /**
   * Overrides Regex::getRequiredOptions().
   */
  public function getRequiredOptions() {
    return array();
  }

  /**
   * Overrides Regex::validatedBy().
   */
  public function validatedBy() {
    return '\Symfony\Component\Validator\Constraints\RegexValidator';
  }
}
