<?php

namespace Drupal\chessboard;

use Drupal\Core\TypedData\DataDefinition;

class PiecePlacementDataDefinition extends DataDefinition {

 /**
   * Creates a new chessboard piece placement definition.
   *
   * @return static
   */
  public static function create($type = 'chessboard_pieceplacement') {
    if ($type !== 'chessboard_pieceplacement') {
      throw new \InvalidArgumentException('Unsupported data type.');
    }
    $definition['type'] = $type;
    $definition['constraints'] = array(
      'ChessboardLength' => array(),
      'ChessboardRegex' => array(),
    );

    return new static($definition);
  }

  /**
   * {@inheritdoc}
   */
  public static function createFromDataType($type) {
    if ($type !== 'chessboard_pieceplacement') {
      throw new \InvalidArgumentException('Unsupported data type.');
    }
    return self::create($type);
  }

}
