<?php

/**
 * @file
 * Contains \Drupal\chessboard\Plugin\Field\FieldFormatter\ChessboardSimpleFormatter.
 */

namespace Drupal\chessboard\Plugin\Field\FieldFormatter;

use Drupal\Component\Utility\String;
use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'chessboard simple' formatter.
 *
 * @FieldFormatter(
 *   id = "chessboard_simple",
 *   label = @Translation("Chessboard simple"),
 *   field_types = {
 *     "chessboard"
 *   }
 * )
 */
class ChessboardSimpleFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items) {
    $elements = array();

    foreach ($items as $delta => $item) {
      $elements[$delta] = array('#markup' => '<pre>' . String::checkPlain(chunk_split($item->get('piece_placement')->getValue(), 8, "\n")) . '</pre>');
    }

    return $elements;
  }

}
