<?php

/**
 * @file
 * Contains \Drupal\chessboard\Plugin\Validation\Constraint\LengthConstraint.
 */

namespace Drupal\chessboard\Plugin\Validation\Constraint;

use Drupal\Core\Validation\Plugin\Validation\Constraint\LengthConstraint as CoreLengthConstraint;

/**
 * Length constraint.
 *
 * @Plugin(
 *   id = "ChessboardLength",
 *   label = @Translation("Length", context = "Validation"),
 *   type = { "chessboard_pieceplacement" }
 * )
 */
class LengthConstraint extends CoreLengthConstraint {

  public $exactMessage = 'Chessboard piece placement must reference 64 squares.';
  public $max = 64;
  public $min = 64;

}
