<?php

/**
 * @file
 * Contains \Drupal\chessboard\RegexConstraint.
 */

namespace Drupal\chessboard;

use Symfony\Component\Validator\Constraints\Regex;

/**
 * Regex constraint.
 */
class RegexConstraint extends Regex {

  public $message = 'Piece placement is restricted to standard chess pieces.';
  public $pattern = '@[^-KQBNRPkqbnrp]@';
  public $match = FALSE;

  /**
   * Overrides Regex::getRequiredOptions().
   */
  public function getRequiredOptions() {
    return array();
  }

  /**
   * Overrides Regex::validatedBy().
   */
  public function validatedBy() {
    return '\Symfony\Component\Validator\Constraints\RegexValidator';
  }
}
